Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.i18n
Class AbstractLocaleFormat

    java.lang.Object
      org.jboss.portal.common.i18n.AbstractLocaleFormat

All Implemented Interfaces:
  LocaleFormat

    public abstract class AbstractLocaleFormat

extends java.lang.Object
implements LocaleFormat

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.portal.common.i18n.LocaleFormat
`DEFAULT, DEFAULT_NO_CACHE, RFC3066_LANGUAGE_TAG, RFC3066_LANGUAGE_TAG_NO_CACHE`

Constructor Summary
`AbstractLocaleFormat()`

Method Summary
`java.util.Locale` | `getLocale(java.lang.String value)`
`protected abstract java.util.Locale` | `internalGetLocale(java.lang.String value)`
`protected java.lang.String` | `internalToString(java.util.Locale locale)`
`protected abstract void` | `internalWrite(java.util.Locale locale, java.io.Writer writer)`
`java.lang.String` | `toString(java.util.Locale locale)`
`void` | `write(java.util.Locale locale, java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLocaleFormat

    public AbstractLocaleFormat()

Method Detail

### getLocale

    public java.util.Locale getLocale(java.lang.String value)
                               throws ConversionException

  Specified by:
    `getLocale` in interface `LocaleFormat`
  Throws:
    `ConversionException`

### toString

    public java.lang.String toString(java.util.Locale locale)
                              throws ConversionException

  Specified by:
    `toString` in interface `LocaleFormat`
  Throws:
    `ConversionException`

### write

    public void write(java.util.Locale locale,
                      java.io.Writer writer)
               throws java.io.IOException,
                      ConversionException

  Specified by:
    `write` in interface `LocaleFormat`
  Throws:
    `java.io.IOException`
    `ConversionException`

### internalGetLocale

    protected abstract java.util.Locale internalGetLocale(java.lang.String value)
                                                   throws ConversionException

  Throws:
    `ConversionException`

### internalToString

    protected java.lang.String internalToString(java.util.Locale locale)
                                         throws ConversionException

  Throws:
    `ConversionException`

### internalWrite

    protected abstract void internalWrite(java.util.Locale locale,
                                          java.io.Writer writer)
                                   throws java.io.IOException,
                                          ConversionException

  Throws:
    `java.io.IOException`
    `ConversionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD